Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text.html
Class HTMLEditorKit.HTMLFactory

    java.lang.Object
      |
      +--javax.swing.text.html.HTMLEditorKit.HTMLFactory

public static class HTMLEditorKit.HTMLFactory
extends java.lang.Object
implements ViewFactory

A factory to build views for html. The following table describes what this factory will build by default.

Tag | View created | HTML.Tag.CONTENT | InlineView | HTML.Tag.IMPLIED | javax.swing.text.html.ParagraphView | HTML.Tag.P | javax.swing.text.html.ParagraphView | HTML.Tag.H1 | javax.swing.text.html.ParagraphView | HTML.Tag.H2 | javax.swing.text.html.ParagraphView | HTML.Tag.H3 | javax.swing.text.html.ParagraphView | HTML.Tag.H4 | javax.swing.text.html.ParagraphView | HTML.Tag.H5 | javax.swing.text.html.ParagraphView | HTML.Tag.H6 | javax.swing.text.html.ParagraphView | HTML.Tag.DT | javax.swing.text.html.ParagraphView | HTML.Tag.MENU | ListView | HTML.Tag.DIR | ListView | HTML.Tag.UL | ListView | HTML.Tag.OL | ListView | HTML.Tag.LI | BlockView | HTML.Tag.DL | BlockView | HTML.Tag.DD | BlockView | HTML.Tag.BODY | BlockView | HTML.Tag.HTML | BlockView | HTML.Tag.CENTER | BlockView | HTML.Tag.DIV | BlockView | HTML.Tag.BLOCKQUOTE | BlockView | HTML.Tag.PRE | BlockView | HTML.Tag.BLOCKQUOTE | BlockView | HTML.Tag.PRE | BlockView | HTML.Tag.IMG | ImageView | HTML.Tag.HR | HRuleView | HTML.Tag.BR | BRView | HTML.Tag.TABLE | javax.swing.text.html.TableView | HTML.Tag.INPUT | FormView | HTML.Tag.SELECT | FormView | HTML.Tag.TEXTAREA | FormView | HTML.Tag.OBJECT | ObjectView | HTML.Tag.FRAMESET | FrameSetView | HTML.Tag.FRAME | FrameView

Constructor Summary
`HTMLEditorKit.HTMLFactory()`

Method Summary
`View` | `create(Element elem)` Creates a view from an element.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HTMLEditorKit.HTMLFactory

    public HTMLEditorKit.HTMLFactory()

Method Detail

### create

    public View create(Element elem)

  Creates a view from an element.
  Specified by:
    create in interface ViewFactory
  Parameters:
    `elem` - the element
  Returns:
    the view

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.